The newest version of this API generates a personalized form link by overlaying fillable fields onto a custom PDF or image background. It also includes additional field types and support for Base64 file uploads.
The API creates a unique form URL that can be shared with customers for completion.
How It Works
- Specify the form template to use (via Form ID).
- Identify the recipient (email or phone number).
- Add additional parameters to prefill some or all of the fields (optional).
- Add submissionContext (optional), which will be attached to the document and enable internal classification used by the organization.
- Upload a background document (PDF or image) in ONE of the following ways (selecting both will cause the API request to fail).
- Receive a unique form link to share with the customer.
Request Parameters
Path Parameters
FORM_ID(required): The unique identifier of the form template (visible in the Forms list screen).
Body Parameters (multipart/form-data)
streamProviderId(required): Customer's phone number or email addressstreamProviderType(required): Delivery method -4for email,5for phone/SMSreferringObjectId(optional): Conversation ID to link with the generated form object for tracking purposesproperties(optional): JSON object with values for form’s input fields.
Expected format:{field1_name}:{field1_value};{field2_name}:{field2_value}submissionContext(optional): Internal-only metadata passed in webhooksfile(required): Background document file (PDF or image format URL)base64Data(Optional): A Base64-encoded PDF uploaded with the request combined with the file name.
Expected format:filename:{file_name};base64:{base64_string}
Important Notes
Field Positioning: All fillable fields will appear on the last page of your background document
Form Object Creation: When a recipient opens the form link, a new form object is automatically created in the system
Conversation Tracking: Use referringObjectId to maintain context between the form and the originating conversation
API key is needed to authorize requests. You can get your API key via the management console.
A Bearer Token is needed to be set in the Authorization header of every API call.
For additional support you can contact us.
Form Id - Form number (as seen on the forms list screen)
The identifier of the receiving customer by their phone number or email
4 for email, 5 for phone number
(Optional) The object ID of the conversation related to the Form
(Optional) JSON object with values for form inputs.
(Optional) An internal-only metadata passed in webhooks
Background document file (PDF or image format). Upload the file to the Value section
(Optional) A Base64-encoded PDF uploaded with the request combined with the file name
OK
The ID of the conversation linked to this form
The unique URL for the generated form
Bad Request - The request could not be understood by the server. Incoming parameters might not be valid
Unauthorized - The supplied credentials, if any, are not sufficient to access the resource
Not found - The requested resource is not found
Too Many Requests - Too many requests have been made in a short period of time (Throttling)
Server Error - The server could not return the representation due to an internal server error